Subject: linux-next: manual merge of the arm64 tree with the arm64-fixes tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 1 Dec 2020 10:05:47 +1100

Hi all,

Today's linux-next merge of the arm64 tree got a conflict in:

  arch/arm64/include/asm/exception.h

between commits:

  23529049c684 ("arm64: entry: fix non-NMI user<->kernel transitions")
  f0cd5ac1e4c5 ("arm64: entry: fix NMI {user, kernel}->kernel transitions")

from the arm64-fixes tree and commit:

  dceec3ff7807 ("arm64: expose FAR_EL1 tag bits in siginfo")

from the arm64 tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc arch/arm64/include/asm/exception.h
index 0756191f44f6,2a8aa1884d8a..000000000000
--- a/arch/arm64/include/asm/exception.h
+++ b/arch/arm64/include/asm/exception.h
@@@ -31,13 -31,8 +31,13 @@@ static inline u32 disr_to_esr(u64 disr
  	return esr;
  }
  
 +asmlinkage void noinstr enter_el1_irq_or_nmi(struct pt_regs *regs);
 +asmlinkage void noinstr exit_el1_irq_or_nmi(struct pt_regs *regs);
  asmlinkage void enter_from_user_mode(void);
 +asmlinkage void exit_to_user_mode(void);
 +void arm64_enter_nmi(struct pt_regs *regs);
 +void arm64_exit_nmi(struct pt_regs *regs);
- void do_mem_abort(unsigned long addr, unsigned int esr, struct pt_regs *regs);
+ void do_mem_abort(unsigned long far, unsigned int esr, struct pt_regs *regs);
  void do_undefinstr(struct pt_regs *regs);
  void do_bti(struct pt_regs *regs);
  asmlinkage void bad_mode(struct pt_regs *regs, int reason, unsigned int esr);